import React from 'react'
import Bottom from './../Bottom/index'
import './index.css'
import {Outlet, useLocation} from 'react-router-dom'
import DetailSearchBar from "../../components/DetailSearchBar";
import dayjs from "dayjs";


const Home = () => {

    const location = useLocation();
    console.log("Home", location);
    const searchUrl = location?.state?.search;
    const [pName, setName] = React.useState("");
    const [search, setSearch] = React.useState({
        "pageSize": 20,
        "pageNumber": 1,
        "data": searchUrl ? searchUrl : {
            "andList": [
                {"name": "state", "value": "8,9", "operateType": "IN"}
                ,
                {
                    "name": "expectedStartTime",
                    "value": dayjs().add(1, "d").set('h', 0).set('m', 0).set('s', 0).set('ms', 0),
                    "operateType": "<"
                },
                {
                    "name": "expectedEndTime",
                    "value": dayjs().set('h', 0).set('m', 0).set('s', 0).set('ms', 0),
                    "operateType": ">"
                }
            ],
            "orList": [
                {"name": "state", "value": "10", "operateType": "="}
            ]
        }
    })
    const updateSearch = (values) => {
        setSearch( values);
    };
    return (
        <div className='body'>
            <DetailSearchBar search={search}
                             updateSearch={updateSearch}
                             pName={pName}/>
            <div style={{marginTop: "40px", marginBottom: "49px", width: "100%"}}>
                <Outlet context={{"search": search}}/>
            </div>
            <Bottom/>
        </div>
    )
}

export default Home;